Index: /branches/avi_play/src/lib/graphics/importer/media_container.cc
===================================================================
--- /branches/avi_play/src/lib/graphics/importer/media_container.cc	(revision 6405)
+++ /branches/avi_play/src/lib/graphics/importer/media_container.cc	(revision 6406)
@@ -61,5 +61,4 @@
   if (glIsTexture(texture))
     glDeleteTextures(1, &texture);
-  //SDL_FreeSurface(surface);
 
   // Free the RGB image
@@ -200,45 +199,5 @@
                  ((AVPicture*)RGB_frame)->data[0]+i *
                  ((AVPicture*)RGB_frame)->linesize[0], 
-                  codec_context->width*sizeof(uint8_t)*3); 
-
-        /*surface = SDL_CreateRGBSurfaceFrom(data, codec_context->width,
-                                           codec_context->height,24,
-                                           codec_context->width*sizeof(uint8_t)*3,
-#if SDL_BYTEORDER == SDL_LIL_ENDIAN // OpenGL RGBA masks
-                                           0x000000FF,
-                                           0x0000FF00,
-                                           0x00FF0000,
-                                           0
-#else
-                                           0xFF000000,
-                                           0x00FF0000,
-                                           0x0000FF00,
-                                           0
-#endif
-                                            );
-
-        // Create an OpenGL texture from the surface
-        glGenTextures(1, &texture);
-        glBindTexture(GL_TEXTURE_2D, texture);
-        glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_LINEAR);
-        glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR);
-        // create the texture
-        glTexImage2D(GL_TEXTURE_2D,
-                    0,
-                    GL_RGB,
-                    surface->w, surface->h,
-                    0,
-                    GL_RGB,
-                    GL_UNSIGNED_BYTE,
-                    surface->pixels);
-        // build the MipMaps
-        gluBuild2DMipmaps(GL_TEXTURE_2D,
-                        GL_RGB,
-                        surface->w,
-                        surface->h,
-                        GL_RGB,
-                        GL_UNSIGNED_BYTE,
-                        surface->pixels);
-        glBindTexture(GL_TEXTURE_2D, 0); */
+                  codec_context->width*sizeof(uint8_t)*3);
 
         // Create an OpenGL texture
@@ -265,6 +224,4 @@
                         data);
         glBindTexture(GL_TEXTURE_2D, 0);
-        
-        //avcodec_flush_buffers(codec_context);
 
         return texture;
Index: /branches/avi_play/src/lib/graphics/importer/media_container.h
===================================================================
--- /branches/avi_play/src/lib/graphics/importer/media_container.h	(revision 6405)
+++ /branches/avi_play/src/lib/graphics/importer/media_container.h	(revision 6406)
@@ -34,5 +34,4 @@
   AVFrame* RGB_frame;
 
-  //SDL_Surface* surface;
   GLuint texture;
   uint8_t* data;
Index: /branches/avi_play/src/lib/graphics/importer/movie_player.cc
===================================================================
--- /branches/avi_play/src/lib/graphics/importer/movie_player.cc	(revision 6405)
+++ /branches/avi_play/src/lib/graphics/importer/movie_player.cc	(revision 6406)
@@ -52,5 +52,4 @@
   if (glIsTexture(texture))
     glDeleteTextures(1, &texture);
-  //SDL_FreeSurface(surface);
 
   // Free the RGB image
@@ -213,37 +212,4 @@
                  ((AVPicture*)RGB_frame)->linesize[0],
                  codec_context->width*sizeof(uint8_t)*3);
-
-       /* surface = SDL_CreateRGBSurfaceFrom(data, codec_context->width,
-                                           codec_context->height,24,
-                                           codec_context->width*sizeof(uint8_t)*3,
-#if SDL_BYTEORDER == SDL_LIL_ENDIAN // OpenGL RGBA masks
-                                           0x000000FF,
-                                           0x0000FF00,
-                                           0x00FF0000,
-                                           0
-#else
-                                           0xFF000000,
-                                           0x00FF0000,
-                                           0x0000FF00,
-                                           0
-#endif
-                                            );
-
-        glBindTexture(GL_TEXTURE_2D, texture);
-        // update the texture
-        glTexSubImage2D(GL_TEXTURE_2D, 0, 0, 0,
-                          surface->w, surface->h,
-                          GL_RGB, GL_UNSIGNED_BYTE,
-                          surface->pixels);
-        // build the MipMaps
-        gluBuild2DMipmaps(GL_TEXTURE_2D,
-                        GL_RGB,
-                        surface->w,
-                        surface->h,
-                        GL_RGB,
-                        GL_UNSIGNED_BYTE,
-                        surface->pixels);
-        glBindTexture(GL_TEXTURE_2D, 0);*/
-
 
         glBindTexture(GL_TEXTURE_2D, texture);
Index: /branches/avi_play/src/lib/graphics/importer/movie_player.h
===================================================================
--- /branches/avi_play/src/lib/graphics/importer/movie_player.h	(revision 6405)
+++ /branches/avi_play/src/lib/graphics/importer/movie_player.h	(revision 6406)
@@ -48,5 +48,4 @@
   AVFrame* RGB_frame;
 
-  //SDL_Surface* surface;
   GLuint texture;
   uint8_t* data;
